Bug 1197066 - Review Request: perl-Test-Run - Extensible and object-oriented test harness for TAP scripts
Summary: Review Request: perl-Test-Run - Extensible and object-oriented test harness f...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1197057
Blocks: 1197126
TreeView+ depends on / blocked
 
Reported: 2015-02-27 12:50 UTC by Petr Pisar
Modified: 2015-03-03 14:04 UTC (History)
2 users (show)

Fixed In Version: perl-Test-Run-0.0302-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-03 14:04:55 UTC
Type: ---
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2015-02-27 12:50:38 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-Test-Run/perl-Test-Run.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Test-Run/perl-Test-Run-0.0302-1.fc23.src.rpm
Description:
These Perl modules are an improved test harness based on Test::Harness, but
more modular, extensible and object-oriented.

Fedora Account System Username: ppisar

Comment 1 Petr Šabata 2015-03-02 17:11:39 UTC
lib/Test/Run/Straps_GplArt.pm appears to be licensed under `GPLv2+ or Artistic'.  Your License tag should reflect that.

No other issues found.

Comment 2 Petr Pisar 2015-03-03 07:33:44 UTC
You are right. Updated package is on the same URL.

Comment 3 Petr Šabata 2015-03-03 09:34:18 UTC
--- a/perl-Test-Run.spec
+++ b/perl-Test-Run.spec
@@ -3,9 +3,9 @@ Version:        0.0302
 Release:        1%{?dist}
 Summary:        Extensible and object-oriented test harness for TAP scripts
 # lib and other code:               MIT
-# lib/Test/Run/Core_GplArt.pm:      GPL+ or Artistic
-# t/lib:                            GPL+ or Artistic
-License:        (GPL+ or Artistic) and MIT
+# lib/Test/Run/Core_GplArt.pm:      GPLv2+ or Artistic
+# t/lib/Test (not installed):       GPL+ or Artistic
+License:        (GPLv2+ or Artistic) and MIT
 Group:          Development/Libraries
 URL:            http://search.cpan.org/dist/Test-Run/
 Source0:        http://www.cpan.org/authors/id/S/SH/SHLOMIF/Test-Run-%{version}.tar.gz



Well, the license of lib/Test/Run/Core_GplArt.pm is still `GPL+ or Artistic'.  It's just lib/Test/Run/Straps_GplArt.pm that uses `GPLv2+ or Artistic'.  The incorrect spec comment aside, even though this is acceptable, you're effectively relicensing the package now.

I think the correct tag should be `(GPL+ or Artistic) and (GPLv2+ or Artistic) and MIT'.

Comment 4 Petr Pisar 2015-03-03 12:05:20 UTC
I mistaken files. Updated packages are on the same address.

Comment 5 Petr Šabata 2015-03-03 12:13:34 UTC
Ack, all good now.  Approving.

Comment 6 Petr Pisar 2015-03-03 12:44:46 UTC
New Package SCM Request
=======================
Package Name: perl-Test-Run
Short Description: Extensible and object-oriented test harness for TAP scripts
Upstream URL: http://search.cpan.org/dist/Test-Run/
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig

Comment 7 Gwyn Ciesla 2015-03-03 13:20:48 UTC
Git done (by process-git-requests).

Comment 8 Petr Pisar 2015-03-03 14:04:55 UTC
Thank you for the review and the repository.


Note You need to log in before you can comment on or make changes to this bug.